"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class FamilyRelatedness(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import metrics as metrics_1_2_0

        return {
            "relatedness": metrics_1_2_0.RelatednessPair,
        }

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_7_2_1 import metrics as metrics_1_2_0

        return {
            "org.gel.models.metrics.avro.RelatednessPair": metrics_1_2_0.RelatednessPair,
            "org.gel.models.metrics.avro.FamilyRelatedness": metrics_1_2_0.FamilyRelatedness,
        }

    __slots__ = [
        "relatedness",
    ]

    def __init__(
        self,
        relatedness=None,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_0.FamilyRelatedness model.

        :param relatedness:
            Pairwise relatedness within the family. One entry per pair of samples
        :type relatedness: None | list[RelatednessPair]
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.0"
